#---------------------------------------------------------------------------
#
#       MAKEFILE.MAK: makefile for XMS array library.
#       Copyright (c) J.English 1993.
#       Author's address: je@unix.brighton.ac.uk
#
#       Permission is granted to use copy and distribute the
#       information contained in this file provided that this
#       copyright notice is retained intact and that any software
#       or other document incorporating this file or parts thereof
#       makes the source code for the library of which this file
#       is a part freely available.
#
#---------------------------------------------------------------------------

.AUTODEPEND
.SILENT

#----- Symbol definitions -----

DIR   = d:\borlandc                 # Borland C++ directory -- change to suit
MODEL = s                           # Memory model (s, m, l, c, h or t)
CC    = bcc -m$(MODEL) -I$(INC)\include -L$(LIB)\lib

#----- Default compilation rule -----

.cpp.obj:
    $(CC) -c $.

#----- Compilation rules -----

all: xmsbench.exe xmsfree.exe

xmsbench.exe:   xmsbench.obj xms.obj
    $(CC) xmsbench.obj xms.obj

xmsfree.exe:    xmsfree.obj xms.obj
    $(CC) xmsfree.obj xms.obj

xmsbench.obj:   xmsbench.cpp
xmsfree.obj:    xmsfree.cpp

#----- Other targets -----

clean:                              # clean up directory
    del *.obj

print:                              # print sources
    print *.doc *.mak *.h *.cpp
